// https://github.com/expo/examples/blob/master/with-sqlite/App.js
import * as SQLite from 'expo-sqlite';

const db = SQLite.openDatabase("datacoucou.db");


export function sqlite_exec_query(inQuery, inCallback){
    sqlite_exec_parameterised(inQuery, [], inCallback);    
}

export function sqlite_exec_parameterised(inQuery, inParams, inCallback){
    db.transaction((tx) => {
        tx.executeSql(inQuery, inParams,
        (txobj, res) => inCallback(res),
        (txobj, err) => {console.log("er");console.log(err);})
    })
}